#ifndef GDTR_H_
#define GDTR_H_

namespace driver {
	class CGdtr {
	public:
		/*
		 * コンストラクタ
		 */
		CGdtr();
		
		/*
		 * ロード
		 */
		void load(dword limit, dword base);
	};
	
	extern CGdtr gdtr;

	class CIdtr {
	public:
		/*
		 * コンストラクタ
		 */
		CIdtr();
		
		/*
		 * ロード
		 */
		void load(dword limit, dword base);
	};
	
	extern CIdtr idtr;
}

#endif /*GDTR_H_*/
